Subject: bug#54158: 28.0.91; duplicate mail downloads in Gnus (IMAP)

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 25 Feb 2022 13:05:18 -0800

Roland Winkler <[email-masked]> writes:

> I have not been able to get to the root of the following problem.  Yet I
> thought I post it anyway as it is rather annoying.
>
> I am fairly new to Gnus when I first used it with Emacs 27 (for about
> half a year).  Since Emacs 28.0.91 came out, I have been using it and
> this gives me the strange problem that Gnus downloads some mail messages
> from the IMAP server multiple times without deleting them on the server
> (typically three to five times) till Gnus (or the IMAP server?) decides
> it has downloaded this message often enough.  These messages are marked
> in Gnus as duplicates of the first instance of this message.  Yet
> stranger, it only happens with spam emails including many emails that
> are not marked as spam by the spam filter of the IMAP server.  But only
> when I look into these emails I see that I do not want or need them.

You're using the IMAP server as a mail source, right? Can you post your
value of `mail-sources'?